//priority 10000
events.listen('recipes', function (e) { 
/*******************Ingots***************************/
var copperIngot = ['#forge:ingots/copper', 'mekanism:ingot_copper', 'immersiveengineering:ingot_copper', 'exnihilosequentia:ingot_copper', 'create:copper_ingot', 'tconstruct:copper_ingot']
copperIngot.forEach(I =>{replaceIO(I, 'thermal:copper_ingot')})
var aluminiumIngot = ['#forge:ingots/aluminum', 'exnihilosequentia:ingot_aluminum']
aluminiumIngot.forEach(I =>{replaceIO(I, 'immersiveengineering:ingot_aluminium')})
var leadIngot = ['#forge:ingots/lead', 'exnihilosequentia:ingot_lead', 'mekanism:ingot_lead', 'immersiveengineering:ingot_lead']
leadIngot.forEach(I =>{replaceIO(I, 'thermal:lead_ingot')})
var tinIngot = ['#forge:ingots/tin', 'mekanism:ingot_tin', 'exnihilosequentia:ingot_tin']
tinIngot.forEach(I =>{replaceIO(I, 'thermal:tin_ingot')})
var zincIngot = ['#forge:ingots/zinc', 'exnihilosequentia:ingot_zinc']
zincIngot.forEach(I =>{replaceIO(I, 'create:zinc_ingot')})
var nickelIngot = ['#forge:ingots/nickel', 'exnihilosequentia:ingot_zinc', 'immersiveengineering:ingot_nickel']
nickelIngot.forEach(I =>{replaceIO(I, 'thermal:nickel_ingot')})
var uraniumIngot = ['#forge:ingots/uranium', 'immersiveengineering:ingot_uranium', 'biggerreactors:yellorium_ingot', 'exnihilosequentia:ingot_uranium']
uraniumIngot.forEach(I =>{replaceIO(I, 'mekanism:ingot_uranium')})
var silverIngot = ['#forge:ingots/silver', 'immersiveengineering:ingot_silver', 'exnihilosequentia:ingot_silver']
silverIngot.forEach(I =>{replaceIO(I, 'thermal:silver_ingot')})
/*******************Nugget***************************/
var copperNugget = ['#forge:nuggets/copper', 'mekanism:nugget_copper', 'immersiveengineering:nugget_copper', 'create:copper_nugget', 'tconstruct:copper_nugget']
copperNugget.forEach(I =>{replaceIO(I, 'thermal:copper_nugget')})
var leadNugget = ['#forge:nuggets/lead', 'mekanism:nugget_lead', 'immersiveengineering:nugget_lead']
leadNugget.forEach(I =>{replaceIO(I, 'thermal:lead_nugget')})
var tinNugget = ['#forge:nuggets/tin', 'mekanism:nugget_tin']
tinNugget.forEach(I =>{replaceIO(I, 'thermal:tin_nugget')})
var nickelNugget = ['#forge:nuggets/nickel', 'immersiveengineering:nugget_nickel']
nickelNugget.forEach(I =>{replaceIO(I, 'thermal:nickel_nugget')})
var uraniumNugget = ['#forge:nuggets/uranium', 'immersiveengineering:nugget_uranium']
uraniumNugget.forEach(I =>{replaceIO(I, 'mekanism:nugget_uranium')})
var silverNugget = ['#forge:nuggets/silver', 'immersiveengineering:nugget_silver']
silverNugget.forEach(I =>{replaceIO(I, 'thermal:silver_nugget')})
/*******************Ore******************************/
var copperOre = ['#forge:ores/copper', 'mekanism:copper_ore', 'immersiveengineering:ore_copper', 'create:copper_ore', 'tconstruct:copper_ore']
copperOre.forEach(I =>{replaceIO(I, 'thermal:copper_ore')})
var leadOre = ['#forge:ores/lead', 'mekanism:lead_ore', 'immersiveengineering:ore_lead']
leadOre.forEach(I =>{replaceIO(I, 'thermal:lead_ore')})
var tinOre = ['#forge:ores/tin', 'mekanism:tin_ore']
tinOre.forEach(I =>{replaceIO(I, 'thermal:tin_ore')})
var nickelOre = ['#forge:ores/nickel', 'immersiveengineering:ore_nickel']
nickelOre.forEach(I =>{replaceIO(I, 'thermal:nickel_ore')})
var uraniumOre = ['#forge:ores/uranium', 'immersiveengineering:ore_uranium', 'biggerreactors:yellorite_ore']
uraniumOre.forEach(I =>{replaceIO(I, 'mekanism:uranium_ore')})
var silverOre = ['#forge:ores/silver', 'immersiveengineering:ore_silver']
silverOre.forEach(I =>{replaceIO(I, 'thermal:silver_ore')})
/*******************Dust*****************************/
var copperDust = ['#forge:dusts/copper', 'pedestals:dustcopper', 'create:crushed_copper_ore', 'immersiveengineering:dust_copper', 'mekanism:dust_copper']
copperDust.forEach(I =>{replaceIO(I, 'thermal:copper_dust')})
var aluminiumDust = ['#forge:dusts/aluminum', 'pedestals:dustaluminum', 'create:crushed_aluminum_ore']
aluminiumDust.forEach(I =>{replaceIO(I, 'immersiveengineering:dust_aluminum')})
var leadDust = ['#forge:dusts/lead', 'create:crushed_lead_ore', 'mekanism:dust_lead', 'immersiveengineering:dust_lead', 'pedestals:dustlead']
leadDust.forEach(I =>{replaceIO(I, 'thermal:lead_dust')})
var tinDust = ['#forge:dusts/tin', 'create:crushed_tin_ore', 'mekanism:dust_tin', 'pedestals:tinlead']
tinDust.forEach(I =>{replaceIO(I, 'thermal:tin_dust')})
var nickelDust = ['#forge:dusts/nickel', 'create:crushed_nickel_ore', 'immersiveengineering:dust_nickel', 'pedestals:dustnickel']
nickelDust.forEach(I =>{replaceIO(I, 'thermal:nickel_dust')})
var uraniumDust = ['#forge:dusts/uranium', 'create:crushed_uranium_ore', 'pedestals:dusturanium', 'immersiveengineering:dust_uranium', 'biggerreactors:yellorium_dust']
uraniumDust.forEach(I =>{replaceIO(I, 'mekanism:dust_uranium')})
var silverDust = ['#forge:dusts/silver', 'immersiveengineering:dust_silver', 'pedestals:dustsilver', 'create:crushed_silver_ore']
silverDust.forEach(I =>{replaceIO(I, 'thermal:silver_dust')})
/*******************Block****************************/
var copperBlock = ['#forge:storage_blocks/copper', 'tconstruct:copper_block', 'create:copper_block', 'immersiveengineering:storage_copper', 'mekanism:block_copper']
copperBlock.forEach(I =>{replaceIO(I, 'thermal:copper_block')})
var leadBlock = ['#forge:storage_blocks/lead', 'immersiveengineering:storage_lead', 'mekanism:block_lead']
leadBlock.forEach(I =>{replaceIO(I, 'thermal:lead_block')})
var tinBlock = ['#forge:storage_blocks/tin', 'mekanism:block_tin']
tinBlock.forEach(I =>{replaceIO(I, 'thermal:tin_block')})
var nickelBlock = ['#forge:storage_blocks/nickel', 'thermal:nickel_block']
nickelBlock.forEach(I =>{replaceIO(I, 'thermal:nickel_block')})
var uraniumBlock = ['#forge:storage_blocks/uranium', 'immersiveengineering:storage_uranium', 'biggerreactors:yellorium_block']
uraniumBlock.forEach(I =>{replaceIO(I, 'mekanism:block_uranium')})
var silverBlock = ['#forge:storage_blocks/silver', 'immersiveengineering:storage_silver']
silverBlock.forEach(I =>{replaceIO(I, 'thermal:silver_block')})
/*******************Plate****************************/
var copperPlate = ['#forge:plates/copper', 'create:copper_sheet', 'immersiveengineering:plate_copper']
copperPlate.forEach(I =>{replaceIO(I, 'thermal:copper_plate')})
var leadPlate = ['#forge:plates/lead', 'immersiveengineering:plate_lead']
leadPlate.forEach(I =>{replaceIO(I, 'thermal:lead_plate')})
var nickelPlate = ['#forge:plates/nickel', 'immersiveengineering:plate_nickel']
nickelPlate.forEach(I =>{replaceIO(I, 'thermal:nickel_plate')})
var silverPlate = ['#forge:plates/silver', 'immersiveengineering:plate_silver']
silverPlate.forEach(I =>{replaceIO(I, 'thermal:silver_plate')})
/*******************Wire*****************************/
var copperWire = ['#forge:wires/copper', 'immersiveengineering:wire_copper']
copperWire.forEach(I =>{replaceIO(I, 'createaddition:copper_wire')})
/*******************Gear*****************************/

/*******************Other****************************/
var Silicon = ['#forge:silicon', 'appliedenergistics2:silicon']
Silicon.forEach(I =>{replaceIO(I, 'refinedstorage:silicon')})
/*******************FUNCTION*************************/

  function replaceIO(input, output){
    e.replaceInput({}, input, output)
    e.replaceOutput({}, input, output)    
  }
});